#!/bin/bash

# Run MODIS global metadata processing given a MODIS geolocation file.
#
# Usage: run_modis_metadata.bash file_geo satname date time tileres tiledir

# Startup message
echo "Started "$0" at "`date`

# Check for DBGE_HOME environment variable
if [ -z "$DBGE_HOME" ]; then
  echo "Environment variable DBGE_HOME is not set"
  exit 1
fi

# Get arguments
file_geo=$1
satname=$2
juldate=$3
utctime=$4
tiledir=$5

# Set tile resolution (degrees)
tileres="10"

# Run IDL script to find which tiles are covered by this granule
echo "write_global_metadata, '"$file_geo"', '"$satname"', "$juldate", "$utctime", "$tileres", '"$tiledir"'" > runidl
echo "exit" >> runidl
cat runidl
idl runidl
  
# Exit
echo
echo "Finished "$0" at "`date`
exit 0
